Index: c/src/lib/libcpu/sh/sh7045/ChangeLog
===================================================================
--- c/src/lib/libcpu/sh/sh7045/ChangeLog	(revision 6237ab46eff22d5612f916315358377958e99d38)
+++ c/src/lib/libcpu/sh/sh7045/ChangeLog	(revision ec1898b266796d513557e3ba0341b15622f067c7)
@@ -1,3 +1,12 @@
-2002-01-15	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+2003-01-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Merge-in subdir Makefile.ams
+	* configure.ac: Reflect changes above.
+	* score/Makefile.am: Removed.
+	* sci/Makefile.am: Removed.
+	* timer/Makefile.am: Removed.
+	* clock/Makefile.am: Removed.
+
+2003-01-15	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
 	* sci/Makefile.am: Apply 2002-12-14 patch (Apparently dropped by CVS).
Index: c/src/lib/libcpu/sh/sh7045/Makefile.am
===================================================================
--- c/src/lib/libcpu/sh/sh7045/Makefile.am	(revision 6237ab46eff22d5612f916315358377958e99d38)
+++ c/src/lib/libcpu/sh/sh7045/Makefile.am	(revision ec1898b266796d513557e3ba0341b15622f067c7)
@@ -5,5 +5,6 @@
 ACLOCAL_AMFLAGS = -I ../../../../../../aclocal
 
-SUBDIRS = . score clock sci timer
+include $(top_srcdir)/../../../../../../automake/compile.am
+include $(top_srcdir)/../../../../../../automake/lib.am
 
 # NOTE: Unlike other CPUS, we install into a subdirectory to avoid
@@ -25,10 +26,63 @@
 	$(INSTALL_DATA) $< $@
 
-TMPINSTALL_FILES = $(PROJECT_INCLUDE)/sh \
+PREINSTALL_FILES = $(PROJECT_INCLUDE)/sh \
     $(include_sh_HEADERS:include/%=$(PROJECT_INCLUDE)/sh/%) \
     $(include_rtems_score_HEADERS:include/%=$(PROJECT_INCLUDE)/rtems/score/%)
 
-all-local: $(TMPINSTALL_FILES)
+# clock
 
-include $(top_srcdir)/../../../../../../automake/subdirs.am
+PGMS = $(ARCH)/clock.rel
+
+clock_C_FILES = clock/ckinit.c
+clock_rel_OBJECTS = $(clock_C_FILES:clock/%.c=$(ARCH)/%.$(OBJEXT))
+EXTRA_DIST = $(clock_C_FILES)
+
+${ARCH}/%.$(OBJEXT): clock/%.c
+	${COMPILE} -o $@ -c $<
+${ARCH}/clock.rel: $(clock_rel_OBJECTS)
+	${make-rel}
+
+# sci
+
+PGMS += $(ARCH)/sci.rel
+
+sci_C_FILES = sci/sci.c sci/sci_termios.c
+sci_rel_OBJECTS = $(sci_C_FILES:sci/%.c=$(ARCH)/%.$(OBJEXT))
+EXTRA_DIST += $(sci_C_FILES)
+
+${ARCH}/%.$(OBJEXT): sci/%.c
+	${COMPILE} -o $@ -c $<
+${ARCH}/sci.rel: $(sci_rel_OBJECTS)
+	${make-rel}
+
+# score
+
+PGMS += $(ARCH)/score.rel
+
+score_C_FILES = score/cpu_asm.c score/ispsh7045.c
+score_rel_OBJECTS = $(score_C_FILES:score/%.c=$(ARCH)/%.$(OBJEXT))
+EXTRA_DIST += $(score_C_FILES)
+
+${ARCH}/%.$(OBJEXT): score/%.c
+	${COMPILE} -o $@ -c $<
+${ARCH}/score.rel: $(score_rel_OBJECTS)
+	${make-rel}
+
+## timer
+
+PGMS += $(ARCH)/timer.rel
+
+timer_C_FILES = timer/timer.c
+timer_rel_OBJECTS = $(timer_C_FILES:timer/%.c=$(ARCH)/%.$(OBJEXT))
+EXTRA_DIST += $(timer_C_FILES)
+
+${ARCH}/%.$(OBJEXT): timer/%.c
+	${COMPILE} -o $@ -c $<
+${ARCH}/timer.rel: $(timer_rel_OBJECTS)
+	${make-rel}
+
+all-local: $(ARCH) $(PGMS) $(TMPINSTALL_FILES)
+
+.PRECIOUS: $(PGMS)
+
 include $(top_srcdir)/../../../../../../automake/local.am
Index: src/lib/libcpu/sh/sh7045/clock/Makefile.am
===================================================================
--- c/src/lib/libcpu/sh/sh7045/clock/Makefile.am	(revision 6237ab46eff22d5612f916315358377958e99d38)
+++ 	(revision )
@@ -1,27 +1,0 @@
-##
-## $Id$
-##
-
-
-PGM = $(ARCH)/clock.rel
-
-C_FILES = ckinit.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(PGM): $(OBJS)
-	$(make-rel)
-
-all-local: $(ARCH) $(OBJS) $(PGM)
-
-.PRECIOUS: $(PGM)
-
-EXTRA_DIST = ckinit.c
-
-include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libcpu/sh/sh7045/configure.ac
===================================================================
--- c/src/lib/libcpu/sh/sh7045/configure.ac	(revision 6237ab46eff22d5612f916315358377958e99d38)
+++ c/src/lib/libcpu/sh/sh7045/configure.ac	(revision ec1898b266796d513557e3ba0341b15622f067c7)
@@ -28,8 +28,4 @@
 
 # Explicitly list all Makefiles here
-AC_CONFIG_FILES([Makefile
-clock/Makefile
-score/Makefile
-sci/Makefile
-timer/Makefile])
+AC_CONFIG_FILES([Makefile])
 AC_OUTPUT
Index: src/lib/libcpu/sh/sh7045/sci/Makefile.am
===================================================================
--- c/src/lib/libcpu/sh/sh7045/sci/Makefile.am	(revision 6237ab46eff22d5612f916315358377958e99d38)
+++ 	(revision )
@@ -1,27 +1,0 @@
-##
-## $Id$
-##
-
-
-PGM = $(ARCH)/sci.rel
-
-C_FILES = sci.c sci_termios.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(PGM): $(OBJS)
-	$(make-rel)
-
-all-local: $(ARCH) $(OBJS) $(PGM)
-
-.PRECIOUS: $(PGM)
-
-EXTRA_DIST = sci.c sci_termios.c
-
-include $(top_srcdir)/../../../../../../automake/local.am
Index: src/lib/libcpu/sh/sh7045/score/Makefile.am
===================================================================
--- c/src/lib/libcpu/sh/sh7045/score/Makefile.am	(revision 6237ab46eff22d5612f916315358377958e99d38)
+++ 	(revision )
@@ -1,27 +1,0 @@
-##
-## $Id$
-##
-
-
-PGM = $(ARCH)/score.rel
-
-C_FILES = cpu_asm.c ispsh7045.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(PGM): $(OBJS)
-	$(make-rel)
-
-all-local: $(ARCH) $(OBJS) $(PGM)
-
-.PRECIOUS: $(PGM)
-
-EXTRA_DIST = ispsh7045.c
-
-include $(top_srcdir)/../../../../../../automake/local.am
Index: src/lib/libcpu/sh/sh7045/timer/Makefile.am
===================================================================
--- c/src/lib/libcpu/sh/sh7045/timer/Makefile.am	(revision 6237ab46eff22d5612f916315358377958e99d38)
+++ 	(revision )
@@ -1,27 +1,0 @@
-##
-## $Id$
-##
-
-
-PGM = $(ARCH)/timer.rel
-
-C_FILES = timer.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(PGM): $(OBJS)
-	$(make-rel)
-
-all-local: $(ARCH) $(OBJS) $(PGM)
-
-.PRECIOUS: $(PGM)
-
-EXTRA_DIST = timer.c
-
-include $(top_srcdir)/../../../../../../automake/local.am
